# == Class: logstash_agent
#
# Full description of class logstash_agent here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { logstash_agent:
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name kanwar.batra@rrd.com
#
# === Copyright
#
# Copyright 2013 Your name here, unless otherwise noted.
#
class   logstash::agent( $logstash_dir = '/etc/logstash' ) 
{
   file { 'logstash_dir':
	  path => $logstash_dir,
	  ensure  => directory,
	  mode    => '0750',
          owner   => 'root',
	  group   => 'root',
       }

 package { 'tokyocabinet' :
	    ensure => installed,
  }
 package { 'grok' :
 	    provider => 'rpm',
	    ensure => installed,
	    source => 'http://<your-rpm-host of Grok>/packages/grok-1.20110708.1-1.el6.x86_64.rpm',
            require => Package ['tokyocabinet'],
  }
  package { 'logstash' :
 	    provider => 'rpm',
	    ensure => installed,
	    source => 'http://your-rpm-host/packages/logstash-1.1.13-1.el6.noarch.rpm',
            require => Package ['grok'],

   }

}
